
package com.ebay.marketplace.services;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 * 		Transfers the report information from one of eBay's servers. After your
 * 		application makes this call, it does not need to make a Bulk Data Exchange
 * 		processing call. These are standard reports that use your token information
 * 		to get the report data that is specific to you, so you just need to specify
 * 		the report name.
 * 		
 * 
 * <p>Java class for DownloadFileRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DownloadFileRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.ebay.com/marketplace/services}BaseServiceRequest">
 *       &lt;sequence>
 *         &lt;element name="taskReferenceId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="fileReferenceId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DownloadFileRequest", propOrder = {
    "taskReferenceId",
    "fileReferenceId"
})
public class DownloadFileRequest
    extends BaseServiceRequest
{

    @XmlElement(required = true)
    protected String taskReferenceId;
    @XmlElement(required = true)
    protected String fileReferenceId;

    /**
     * Gets the value of the taskReferenceId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTaskReferenceId() {
        return taskReferenceId;
    }

    /**
     * Sets the value of the taskReferenceId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTaskReferenceId(String value) {
        this.taskReferenceId = value;
    }

    /**
     * Gets the value of the fileReferenceId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFileReferenceId() {
        return fileReferenceId;
    }

    /**
     * Sets the value of the fileReferenceId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFileReferenceId(String value) {
        this.fileReferenceId = value;
    }

}
